print("main.lua")
require("_const")
require("_xcgui")

--[[
function OnBtnClick(pbHandled)
	print("OnBtnClick()")
	--XC_lua_modifyBOOL(pbHandled,1) 打开此函数可拦截事件
	
	buf= XC_lua_newuserdata_wchar_t(100)
	XRichEdit_GetText(hRichEdit,buf,100)	
	print("text=", XC_lua_userdata_wchar_t_ToString(buf))
	
	return 0	
end

local style=const.xc_window_style_default ~ const.xc_window_style_center --窗口炫彩样式
hWindow=XWnd_Create(0, 0, 400, 200,"炫彩界面库",0,style) --创建窗口
XBtn_SetType(XBtn_Create(20,2,60,22,"close",hWindow),const.button_type_close)  --关闭按钮

hButton=XBtn_Create(20,50,60,25,"button",hWindow)  --普通按钮
XEle_RegEventC(hButton,const.XE_BNCLICK,OnBtnClick) --注册按钮点击事件

hRichEdit=XRichEdit_Create(120,100,120,22,hWindow)

XWnd_ShowWindow(hWindow,SW_SHOW);  --显示窗口

--]]

--[   --通过函数参数接收字符串

function OnBtnClick(pbHandled)
	local buf= XC_lua_newuserdata_wchar_t(100)
	XRichEdit_GetText(hRichEdit,buf,100)	--获取编辑框内容
	print("buf=", XC_lua_userdata_wchar_t_ToString(buf))	
	return 0	
end

local style=const.xc_window_style_default ~ const.xc_window_style_center --窗口炫彩样式
local hWindow=XWnd_Create(0, 0, 400, 200,"炫彩界面库",0,style) --创建窗口
XBtn_SetType(XBtn_Create(20,2,60,22,"close",hWindow),const.button_type_close)  --关闭按钮

local hButton=XBtn_Create(20,50,60,25,"button",hWindow)  --普通按钮
XEle_RegEventC(hButton,const.XE_BNCLICK,OnBtnClick) --注册按钮点击事件

hRichEdit=XRichEdit_Create(120,100,120,22,hWindow)  --创建编辑框

XWnd_ShowWindow(hWindow,SW_SHOW);  --显示窗口

--]]


--[[   --通过函数参数接收结构体信息

function OnBtnClick(pbHandled)
	local rect={}
	XEle_GetRect(hButton,rect)	--获取按钮坐标
	print("return rect:","left="..rect.left, "top="..rect.top,
	"right="..rect.right, "bottom="..rect.bottom)	
	return 0	
end

local style=const.xc_window_style_default ~ const.xc_window_style_center --窗口炫彩样式
local hWindow=XWnd_Create(0, 0, 400, 200,"炫彩界面库",0,style) --创建窗口
XBtn_SetType(XBtn_Create(20,2,60,22,"close",hWindow),const.button_type_close)  --关闭按钮

hButton=XBtn_Create(20,50,60,25,"button",hWindow)  --普通按钮
XEle_RegEventC(hButton,const.XE_BNCLICK,OnBtnClick) --注册按钮点击事件

XWnd_ShowWindow(hWindow,SW_SHOW);  --显示窗口

--]]

--[[   --通过函数参数接收变量值

function OnBtnClick(pbHandled)
	local height={}
	local selHeight={}
	XListBox_GetItemHeightDefault(hListBox,height,selHeight)	--获取ListBox项默认高度
	print("return height=",height.value, "selHeight="..selHeight.value)	
	return 0	
end

local style=const.xc_window_style_default ~ const.xc_window_style_center --窗口炫彩样式
local hWindow=XWnd_Create(0, 0, 400, 200,"炫彩界面库",0,style) --创建窗口
XBtn_SetType(XBtn_Create(20,2,60,22,"close",hWindow),const.button_type_close)  --关闭按钮

local hButton=XBtn_Create(20,50,60,25,"button",hWindow)  --普通按钮
XEle_RegEventC(hButton,const.XE_BNCLICK,OnBtnClick) --注册按钮点击事件

hListBox=XListBox_Create(120,60,100,100,hWindow)
XWnd_ShowWindow(hWindow,SW_SHOW);  --显示窗口

--]]

io.write("Hello world, from ",_VERSION,"!\n")

